Skip to main content
GET
List Transaction Reports

Authorizations

Authorization
string
header
required

JWT bearer token issued by the identity provider.

Query Parameters

limit
string

Maximum number of items per page (max 100, default 10)

page
string

Page number for pagination (default 1)

sort_order
string

Sort direction applied to created_at: asc or desc

end_to_end_id
string

Filter by the PIX end-to-end identifier

return_identification
string

Filter by the return identification (refund reports)

initiation_type
string

Filter by initiation type; case-insensitive (MANUAL, DICT, STATIC_QRCODE, DYNAMIC_QRCODE)

status
string

Transaction statuses, comma-separated (PENDING, PROCESSING, CONFIRMED, ERROR)

created_at_start
string

Filter by reports created on or after this timestamp (RFC3339)

created_at_end
string

Filter by reports created on or before this timestamp (RFC3339)

Response

OK

items
object[]
required
limit
integer<int64>
required
Example:

10

page
integer<int64>
required
Example:

1

total
integer<int64>
required
Example:

42